Main Page glibmm Namespaces Book

# outputstream.h File Reference

## Namespaces
namespace | Gio
namespace | Glib
## Classes
class | Gio::OutputStream
| Base class for implementing streaming output. More...
## Enumerations
enum | Gio::OutputStreamSpliceFlags { Gio::OUTPUT_STREAM_SPLICE_NONE = 0, Gio::OUTPUT_STREAM_SPLICE_CLOSE_SOURCE = 1 << 0, Gio::OUTPUT_STREAM_SPLICE_CLOSE_TARGET = 1 << 1 }
## Functions
OutputStreamSpliceFlags | Gio::operator| (OutputStreamSpliceFlags lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags | Gio::operator& (OutputStreamSpliceFlags lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags | Gio::operator^ (OutputStreamSpliceFlags lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags | Gio::operator~ (OutputStreamSpliceFlags flags)
OutputStreamSpliceFlags& | Gio::operator|= (OutputStreamSpliceFlags& lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags& | Gio::operator&= (OutputStreamSpliceFlags& lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags& | Gio::operator^= (OutputStreamSpliceFlags& lhs, OutputStreamSpliceFlags rhs)